Bug 1497812 - Add qemu-kvm-ma to comps file for release [NEEDINFO]
Summary: Add qemu-kvm-ma to comps file for release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1511582
Blocks: 1493559
TreeView+ depends on / blocked
 
Reported: 2017-10-02 17:56 UTC by Eng Ops Maitai User
Modified: 2018-04-10 10:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 10:15:45 UTC
jstodola: needinfo? (salmy)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:17:00 UTC

Comment 2 Lubos Kocman 2017-10-03 13:52:41 UTC
I did enable entire @virt-hypervisor group on multiarch, I expect that there will be upcoming request to add @virt-platofrm or @virt-client which has additional libvirt packages as well.

Please open it as request to rel-eng

  <group arch="x86_64,s390x">
    <id>virtualization-client</id>
    <_name>Virtualization Client</_name>
    <_description>Clients for installing and managing virtualization instances.</_description>
    <default>false</default>
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="mandatory" arch="x86_64">gnome-boxes</packagereq>
      <packagereq type="mandatory" arch="x86_64">virt-install</packagereq>
      <packagereq type="mandatory" arch="x86_64">virt-manager</packagereq>
      <packagereq type="mandatory" arch="x86_64">virt-viewer</packagereq>
      <packagereq type="default" arch="x86_64">virt-top</packagereq>
      <packagereq type="optional" arch="x86_64">libguestfs-tools</packagereq>
      <packagereq type="optional" arch="x86_64">libguestfs-tools-c</packagereq>
      <packagereq type="optional" arch="x86_64">libguestfs-inspect-icons</packagereq>
      <packagereq type="optional" arch="x86_64,s390x">python-ipaddr</packagereq>
    </packagelist>
  </group>
  <group arch="x86_64,s390x,aarch64,ppc64le">
    <id>virtualization-hypervisor</id>
    <_name>Virtualization Hypervisor</_name>
    <_description>Smallest possible virtualization host installation.</_description>
    <default>false</default>
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="mandatory">libvirt</packagereq>
      <packagereq type="mandatory" arch="x86_64">qemu-kvm</packagereq>
      <packagereq type="mandatory" arch="ppc64le,s390x,aarch64">qemu-kvm-ma</packagereq>
      <packagereq type="optional">qemu-kvm-tools</packagereq>
    </packagelist>
  </group>
  <group arch="x86_64">
    <id>virtualization-platform</id>
    <_name>Virtualization Platform</_name>
    <_description>Provides an interface for accessing and controlling virtualized guests and containers.</_description>
    <default>false</default>
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="mandatory">libvirt</packagereq>
      <packagereq type="mandatory">libvirt-client</packagereq>
      <packagereq type="mandatory">virt-who</packagereq>
      <packagereq type="optional">fence-virtd-libvirt</packagereq>
      <packagereq type="optional">fence-virtd-multicast</packagereq>
      <packagereq type="optional">fence-virtd-serial</packagereq>
      <packagereq type="optional">libvirt-cim</packagereq>
      <packagereq type="optional">libvirt-java</packagereq>
      <packagereq type="optional">libvirt-snmp</packagereq>
      <packagereq type="optional">perl-Sys-Virt</packagereq>
    </packagelist>
  </group>

Comment 3 Lubos Kocman 2017-10-03 14:27:07 UTC
I did fix qemu-kmv-tools-ma / qemu-kvm-tools as well.

Lubos

Comment 7 Lubos Kocman 2017-11-22 13:39:52 UTC
Hello team qemu-kvm-ma is expected to be only on non-intel arches. 

x86_64 (Client, Workstation, ComputeNode) is expected to have standard qemu-kvm. Arm was explicitly asked to be in optional.

Lubos

Comment 12 Lubos Kocman 2018-02-20 18:14:00 UTC
This is bit painful situation given the fact that the arm is being pulled from comps. I'll do the change before snap-5 compose tomorrow morning. But it complicates the arm behaviour a lot. ppc64-optional will require explicit filter

Lubos

Comment 13 Lubos Kocman 2018-02-22 10:03:12 UTC
Jaroslav did changes to qemu-kvm-ma placement as part of RHEL-ALT Bug 1511582. Since we use the same comps file, change will affect both. Moving to modified

Comment 18 errata-xmlrpc 2018-04-10 10:15:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700


Note You need to log in before you can comment on or make changes to this bug.